/*********************************************************
'*                                                       *
'*                 Radio Sample Codes                    *
'*                                                       *
'* ----------------------------------------------------- *
'*    Module   :   radioMode.c                           *
'*    Author   :   Li Zheng                              *
'********************************************************/

//SX1231WX^AhX
#define REG_OPMODE                       0x01

//SX1231WX^ݒl
#define REG_IRQFLAGS1	                 0x27
#define RF_IRQFLAGS1_MODEREADY           0x80

char spiReadReg(char addr);
void spiWriteReg(char addr, char val);

void radioMode(char mode)
{
  char val;
  
  //WX^̌ݒlǎ
  val = spiReadReg(REG_OPMODE) & 0xE3;   
  spiWriteReg(REG_OPMODE, val | mode);
  
  //[hݒ芮܂ő҂
  while ((spiReadReg(REG_IRQFLAGS1) & RF_IRQFLAGS1_MODEREADY) == 0x00);
}
